osgDB::InputIterator Class Referenceabstract

`#include <StreamOperator>`

Inheritance diagram for osgDB::InputIterator:

## Public Member Functions

| InputIterator ()
virtual | ~InputIterator ()
void | setStream (std::istream *istream)
std::istream * | getStream ()
const std::istream * | getStream () const
void | setInputStream (InputStream *inputStream)
InputStream * | getInputStream ()
const InputStream * | getInputStream () const
void | setByteSwap (int byteSwap)
int | getByteSwap () const
void | setSupportBinaryBrackets (bool b)
bool | getSupportBinaryBrackets () const
void | checkStream () const
bool | isFailed () const
virtual bool | isBinary () const =0
virtual void | readBool (bool &b)=0
virtual void | readChar (char &c)=0
virtual void | readSChar (signed char &c)=0
virtual void | readUChar (unsigned char &c)=0
virtual void | readShort (short &s)=0
virtual void | readUShort (unsigned short &s)=0
virtual void | readInt (int &i)=0
virtual void | readUInt (unsigned int &i)=0
virtual void | readLong (long &l)=0
virtual void | readULong (unsigned long &l)=0
virtual void | readFloat (float &f)=0
virtual void | readDouble (double &d)=0
virtual void | readString (std::string &s)=0
virtual void | readStream (std::istream &(*fn)(std::istream &))=0
virtual void | readBase (std::ios_base &(*fn)(std::ios_base &))=0
virtual void | readGLenum (ObjectGLenum &value)=0
virtual void | readProperty (ObjectProperty &prop)=0
virtual void | readMark (ObjectMark &mark)=0
virtual void | readCharArray (char *s, unsigned int size)=0
virtual void | readWrappedString (std::string &str)=0
virtual bool | matchString (const std::string &)
virtual void | advanceToCurrentEndBracket ()
void | throwException (const std::string &msg)
void | readComponentArray (char *s, unsigned int numElements, unsigned int numComponentsPerElements, unsigned int componentSizeInBytes)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

std::istream * | _in
osgDB::InputStream * | _inputStream
int | _byteSwap
bool | _supportBinaryBrackets
bool | _failed
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## InputIterator()

osgDB::InputIterator::InputIterator | ( |  | ) |

inline

References _byteSwap, _failed, _in, _inputStream, and _supportBinaryBrackets.

## ~InputIterator()

virtual osgDB::InputIterator::~InputIterator | ( |  | ) |

inline virtual

## Member Function Documentation

## advanceToCurrentEndBracket()

virtual void osgDB::InputIterator::advanceToCurrentEndBracket | ( |  | ) |

inline virtual

## checkStream()

void osgDB::InputIterator::checkStream | ( |  | ) | const

## getByteSwap()

int osgDB::InputIterator::getByteSwap | ( |  | ) | const

inline

References _byteSwap.

## getInputStream() [1/2]

InputStream * osgDB::InputIterator::getInputStream | ( |  | ) |

inline

References _inputStream.

## getInputStream() [2/2]

const InputStream * osgDB::InputIterator::getInputStream | ( |  | ) | const

inline

References _inputStream.

## getStream() [1/2]

std::istream * osgDB::InputIterator::getStream | ( |  | ) |

inline

References _in.

## getStream() [2/2]

const std::istream * osgDB::InputIterator::getStream | ( |  | ) | const

inline

References _in.

## getSupportBinaryBrackets()

bool osgDB::InputIterator::getSupportBinaryBrackets | ( |  | ) | const

inline

References _supportBinaryBrackets.

## isBinary()

virtual bool osgDB::InputIterator::isBinary | ( |  | ) | const

pure virtual

## isFailed()

bool osgDB::InputIterator::isFailed | ( |  | ) | const

inline

References _failed.

## matchString()

virtual bool osgDB::InputIterator::matchString | ( | const std::string & |  | ) |

inline virtual

## readBase()

virtual void osgDB::InputIterator::readBase | ( | std::ios_base &(* | fn )(std::ios_base &) | ) |

pure virtual

## readBool()

virtual void osgDB::InputIterator::readBool | ( | bool & | b | ) |

pure virtual

## readChar()

virtual void osgDB::InputIterator::readChar | ( | char & | c | ) |

pure virtual

## readCharArray()

virtual void osgDB::InputIterator::readCharArray | ( | char * | s,
|  | unsigned int | size )

pure virtual

## readComponentArray()

void osgDB::InputIterator::readComponentArray | ( | char * | s,
|  | unsigned int | numElements,
|  | unsigned int | numComponentsPerElements,
|  | unsigned int | componentSizeInBytes )

## readDouble()

virtual void osgDB::InputIterator::readDouble | ( | double & | d | ) |

pure virtual

## readFloat()

virtual void osgDB::InputIterator::readFloat | ( | float & | f | ) |

pure virtual

## readGLenum()

virtual void osgDB::InputIterator::readGLenum | ( | ObjectGLenum & | value | ) |

pure virtual

## readInt()

virtual void osgDB::InputIterator::readInt | ( | int & | i | ) |

pure virtual

## readLong()

virtual void osgDB::InputIterator::readLong | ( | long & | l | ) |

pure virtual

## readMark()

virtual void osgDB::InputIterator::readMark | ( | ObjectMark & | mark | ) |

pure virtual

## readProperty()

virtual void osgDB::InputIterator::readProperty | ( | ObjectProperty & | prop | ) |

pure virtual

## readSChar()

virtual void osgDB::InputIterator::readSChar | ( | signed char & | c | ) |

pure virtual

## readShort()

virtual void osgDB::InputIterator::readShort | ( | short & | s | ) |

pure virtual

## readStream()

virtual void osgDB::InputIterator::readStream | ( | std::istream &(* | fn )(std::istream &) | ) |

pure virtual

## readString()

virtual void osgDB::InputIterator::readString | ( | std::string & | s | ) |

pure virtual

## readUChar()

virtual void osgDB::InputIterator::readUChar | ( | unsigned char & | c | ) |

pure virtual

## readUInt()

virtual void osgDB::InputIterator::readUInt | ( | unsigned int & | i | ) |

pure virtual

## readULong()

virtual void osgDB::InputIterator::readULong | ( | unsigned long & | l | ) |

pure virtual

## readUShort()

virtual void osgDB::InputIterator::readUShort | ( | unsigned short & | s | ) |

pure virtual

## readWrappedString()

virtual void osgDB::InputIterator::readWrappedString | ( | std::string & | str | ) |

pure virtual

## setByteSwap()

void osgDB::InputIterator::setByteSwap | ( | int | byteSwap | ) |

inline

References _byteSwap.

## setInputStream()

void osgDB::InputIterator::setInputStream | ( | InputStream * | inputStream | ) |

inline

References _inputStream.

## setStream()

void osgDB::InputIterator::setStream | ( | std::istream * | istream | ) |

inline

References _in.

## setSupportBinaryBrackets()

void osgDB::InputIterator::setSupportBinaryBrackets | ( | bool | b | ) |

inline

References _supportBinaryBrackets.

## throwException()

void osgDB::InputIterator::throwException | ( | const std::string & | msg | ) |

## Member Data Documentation

## _byteSwap

int osgDB::InputIterator::_byteSwap

protected

Referenced by getByteSwap(), InputIterator(), and setByteSwap().

## _failed

bool osgDB::InputIterator::_failed

mutable protected

Referenced by InputIterator(), and isFailed().

## _in

std::istream* osgDB::InputIterator::_in

protected

Referenced by getStream(), getStream(), InputIterator(), and setStream().

## _inputStream

osgDB::InputStream* osgDB::InputIterator::_inputStream

protected

Referenced by getInputStream(), getInputStream(), InputIterator(), and setInputStream().

## _supportBinaryBrackets

bool osgDB::InputIterator::_supportBinaryBrackets

protected

Referenced by getSupportBinaryBrackets(), InputIterator(), and setSupportBinaryBrackets().

The documentation for this class was generated from the following file:

- StreamOperator